/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.annotation.ejb;

import java.lang.annotation.Annotation;
import java.util.List;
import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.ejb.RemoteBindings;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.3 $
 */
public class RemoteBindingsImpl implements RemoteBindings
{
   private RemoteBinding[] bindings;

   public RemoteBindingsImpl(RemoteBinding[] bindings)
   {
      this.bindings = bindings;
   }

   public RemoteBindingsImpl(List bindings)
   {
      this.bindings = (RemoteBinding[])bindings.toArray(new RemoteBinding[bindings.size()]);
   }

   public RemoteBinding[] value()
   {
      return bindings;
   }

   public Class<? extends Annotation> annotationType()
   {
      return null;
   }
}
